routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('nasabah')->group(function () {
    Route::get('/login', [App\Http\Controllers\Auth\AuthPelangganController::class, 'login'])->name('login.nasabah');
    Route::post('/login', [App\Http\Controllers\Auth\AuthPelangganController::class, 'postLogin'])->name('login.post.nasabah');
    Route::get('/register', [App\Http\Controllers\Auth\AuthPelangganController::class, 'register'])->name('register.nasabah');
    Route::post('/register', [App\Http\Controllers\Auth\AuthPelangganController::class, 'postRegister'])->name('register.post.nasabah');
    Route::post('/logout', [App\Http\Controllers\Auth\AuthPelangganController::class, 'logout'])->name('logout.nasabah');
});

Route::prefix('petugas')->group(function () {
    Route::get('/login', [App\Http\Controllers\Auth\AuthPetugasController::class, 'login'])->name('login.petugas');
    Route::post('/login', [App\Http\Controllers\Auth\AuthPetugasController::class, 'postLogin'])->name('login.post.petugas');
    Route::post('/logout', [App\Http\Controllers\Auth\AuthPetugasController::class, 'logout'])->name('logout.petugas');
});

Route::get('/', function () {
    return view('welcome');
});

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Auth::routes();
Route::resource('nasabahs', App\Http\Controllers\NasabahController::class);
Route::resource('petugas', App\Http\Controllers\PetugasController::class);
Route::resource('jenisSampahs', App\Http\Controllers\JenisSampahController::class);
Route::resource('bukuTabungans', App\Http\Controllers\BukuTabunganController::class);
Route::resource('setorans', App\Http\Controllers\SetoranController::class);
Route::resource('bayarJasas', App\Http\Controllers\BayarJasaController::class);
Route::resource('sampahs', App\Http\Controllers\SampahController::class);
Route::resource('sampahMasuks', App\Http\Controllers\SampahMasukController::class);
Route::prefix('setoran')->group(function () {
    Route::get('/', [App\Http\Controllers\SetoranController::class, 'index'])->name('setoran.index');
    Route::get('/create', [App\Http\Controllers\SetoranController::class, 'create'])->name('setoran.create');
    Route::post('/store', [App\Http\Controllers\SetoranController::class, 'store'])->name('setoran.store');
});
Route::prefix('bayarjasa')->group(function () {
    Route::get('/', [App\Http\Controllers\BayarJasaController::class, 'index'])->name('bayarjasa.index');
    Route::get('/create', [App\Http\Controllers\BayarJasaController::class, 'create'])->name('bayarjasa.create');
    Route::post('/store', [App\Http\Controllers\BayarJasaController::class, 'store'])->name('bayarjasa.store');
});

app/Models/JenisSampah.php
<?php

namespace App\Models;

use Eloquent as Model;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Ramsey\Uuid\Uuid as Generator;
/**
 * Class JenisSampah
 * @package App\Models
 * @version July 20, 2022, 5:29 pm UTC
 *
 * @property string $nama
 */
class JenisSampah extends Model
{

    use HasFactory;

    public $table = 'jenis_sampahs';
    protected $primaryKey = 'id';
    public $incrementing = false;
    public $fillable = [
        'nama'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'nama' => 'string'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'nama' => 'required|string'
    ];
    function sampah()
    {
        return $this->hasMany('App\Models\Sampah', 'jenis_sampah_id');
    }
    protected static function boot()
    {
        parent::boot();

        static::creating(function ($model) {
            try {
                $model->id = Generator::uuid4()->toString();
            } catch (UnableToBuildUuidException $e) {
                abort(500, $e->getMessage());
            }
        });
    }

}

app/Http/Controllers/JenisSampahController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateJenisSampahRequest;
use App\Http\Requests\UpdateJenisSampahRequest;
use App\Http\Controllers\AppBaseController;
use App\Models\JenisSampah;
use Illuminate\Http\Request;
use Flash;
use Response;

class JenisSampahController extends AppBaseController
{
    /**
     * Display a listing of the JenisSampah.
     *
     * @param Request $request
     *
     * @return Response
     */
    public function index(Request $request)
    {
        /** @var JenisSampah $jenisSampahs */
        $jenisSampahs = JenisSampah::all();

        return view('jenis_sampahs.index')
            ->with('jenisSampahs', $jenisSampahs);
    }

    /**
     * Show the form for creating a new JenisSampah.
     *
     * @return Response
     */
    public function create()
    {
        return view('jenis_sampahs.create');
    }

    /**
     * Store a newly created JenisSampah in storage.
     *
     * @param CreateJenisSampahRequest $request
     *
     * @return Response
     */
    public function store(CreateJenisSampahRequest $request)
    {
        $input = $request->all();

        /** @var JenisSampah $jenisSampah */
        $jenisSampah = JenisSampah::create($input);

        Flash::success('Jenis Sampah saved successfully.');

        return redirect(route('jenisSampahs.index'));
    }

    /**
     * Display the specified JenisSampah.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        /** @var JenisSampah $jenisSampah */
        $jenisSampah = JenisSampah::find($id);

        if (empty($jenisSampah)) {
            Flash::error('Jenis Sampah not found');

            return redirect(route('jenisSampahs.index'));
        }

        return view('jenis_sampahs.show')->with('jenisSampah', $jenisSampah);
    }

    /**
     * Show the form for editing the specified JenisSampah.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        /** @var JenisSampah $jenisSampah */
        $jenisSampah = JenisSampah::find($id);

        if (empty($jenisSampah)) {
            Flash::error('Jenis Sampah not found');

            return redirect(route('jenisSampahs.index'));
        }

        return view('jenis_sampahs.edit')->with('jenisSampah', $jenisSampah);
    }

    /**
     * Update the specified JenisSampah in storage.
     *
     * @param int $id
     * @param UpdateJenisSampahRequest $request
     *
     * @return Response
     */
    public function update($id, UpdateJenisSampahRequest $request)
    {
        /** @var JenisSampah $jenisSampah */
        $jenisSampah = JenisSampah::find($id);

        if (empty($jenisSampah)) {
            Flash::error('Jenis Sampah not found');

            return redirect(route('jenisSampahs.index'));
        }

        $jenisSampah->fill($request->all());
        $jenisSampah->save();

        Flash::success('Jenis Sampah updated successfully.');

        return redirect(route('jenisSampahs.index'));
    }

    /**
     * Remove the specified JenisSampah from storage.
     *
     * @param int $id
     *
     * @throws \Exception
     *
     * @return Response
     */
    public function destroy($id)
    {
        /** @var JenisSampah $jenisSampah */
        $jenisSampah = JenisSampah::find($id);

        if (empty($jenisSampah)) {
            Flash::error('Jenis Sampah not found');

            return redirect(route('jenisSampahs.index'));
        }

        $jenisSampah->delete();

        Flash::success('Jenis Sampah deleted successfully.');

        return redirect(route('jenisSampahs.index'));
    }
}

resources/views/jenis_sampahs/create.blade.php
@extends('layouts.app')
@section('title')
    Create Jenis Sampah 
@endsection
@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading m-0">New Jenis Sampah</h3>
            <div class="filter-container section-header-breadcrumb row justify-content-md-end">
                <a href="{{ route('jenisSampahs.index') }}" class="btn btn-primary">Back</a>
            </div>
        </div>
        <div class="content">
            @include('stisla-templates::common.errors')
            <div class="section-body">
               <div class="row">
                   <div class="col-lg-12">
                       <div class="card">
                           <div class="card-body ">
                                {!! Form::open(['route' => 'jenisSampahs.store']) !!}
                                    <div class="row">
                                        @include('jenis_sampahs.fields')
                                    </div>
                                {!! Form::close() !!}
                           </div>
                       </div>
                   </div>
               </div>
            </div>
        </div>
    </section>
@endsection

resources/views/jenis_sampahs/edit.blade.php
@extends('layouts.app')
@section('title')
    Edit Jenis Sampah 
@endsection
@section('content')
    <section class="section">
            <div class="section-header">
                <h3 class="page__heading m-0">Edit Jenis Sampah</h3>
                <div class="filter-container section-header-breadcrumb row justify-content-md-end">
                    <a href="{{ route('jenisSampahs.index') }}"  class="btn btn-primary">Back</a>
                </div>
            </div>
  <div class="content">
              @include('stisla-templates::common.errors')
              <div class="section-body">
                 <div class="row">
                     <div class="col-lg-12">
                         <div class="card">
                             <div class="card-body ">
                                    {!! Form::model($jenisSampah, ['route' => ['jenisSampahs.update', $jenisSampah->id], 'method' => 'patch']) !!}
                                        <div class="row">
                                            @include('jenis_sampahs.fields')
                                        </div>

                                    {!! Form::close() !!}
                            </div>
                         </div>
                    </div>
                 </div>
              </div>
   </div>
  </section>
@endsection

resources/views/jenis_sampahs/fields.blade.php
<!-- Nama Field -->
<div class="form-group col-sm-6">
    {!! Form::label('nama', 'Nama:') !!}
    {!! Form::text('nama', null, ['class' => 'form-control']) !!}
</div>

<!-- Submit Field -->
<div class="form-group col-sm-12">
    {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
    <a href="{{ route('jenisSampahs.index') }}" class="btn btn-light">Cancel</a>
</div>

resources/views/jenis_sampahs/index.blade.php
@extends('layouts.app')
@section('title')
    Jenis Sampahs 
@endsection
@section('content')
    <section class="section">
        <div class="section-header">
            <h1>Jenis Sampahs</h1>
            <div class="section-header-breadcrumb">
                <a href="{{ route('jenisSampahs.create')}}" class="btn btn-primary form-btn">Jenis Sampah <i class="fas fa-plus"></i></a>
            </div>
        </div>
    <div class="section-body">
       <div class="card">
            <div class="card-body">
                @include('jenis_sampahs.table')
            </div>
       </div>
   </div>
    
    </section>
@endsection

resources/views/jenis_sampahs/show.blade.php
@extends('layouts.app')
@section('title')
    Jenis Sampah Details 
@endsection
@section('content')
    <section class="section">
        <div class="section-header">
        <h1>Jenis Sampah Details</h1>
        <div class="section-header-breadcrumb">
            <a href="{{ route('jenisSampahs.index') }}"
                 class="btn btn-primary form-btn float-right">Back</a>
        </div>
      </div>
   @include('stisla-templates::common.errors')
    <div class="section-body">
           <div class="card">
            <div class="card-body">
                    @include('jenis_sampahs.show_fields')
            </div>
            </div>
    </div>
    </section>
@endsection

resources/views/jenis_sampahs/show_fields.blade.php
<!-- Nama Field -->
<div class="form-group">
    {!! Form::label('nama', 'Nama:') !!}
    <p>{{ $jenisSampah->nama }}</p>
</div>

resources/views/jenis_sampahs/table.blade.php
<div class="table-responsive">
    <table class="table" id="jenisSampahs-table">
        <thead>
            <tr>
                <th>Nama</th>
                <th colspan="3">Action</th>
            </tr>
        </thead>
        <tbody>
        @foreach($jenisSampahs as $jenisSampah)
            <tr>
                       <td>{{ $jenisSampah->nama }}</td>
                       <td class=" text-center">
                           {!! Form::open(['route' => ['jenisSampahs.destroy', $jenisSampah->id], 'method' => 'delete']) !!}
                           <div class='btn-group'>
                               <a href="{!! route('jenisSampahs.show', [$jenisSampah->id]) !!}" class='btn btn-light action-btn '><i class="fa fa-eye"></i></a>
                               <a href="{!! route('jenisSampahs.edit', [$jenisSampah->id]) !!}" class='btn btn-warning action-btn edit-btn'><i class="fa fa-edit"></i></a>
                               {!! Form::button('<i class="fa fa-trash"></i>', ['type' => 'submit', 'class' => 'btn btn-danger action-btn delete-btn', 'onclick' => 'return confirm("Are you sure want to delete this record ?")']) !!}
                           </div>
                           {!! Form::close() !!}
                       </td>
                   </tr>
        @endforeach
        </tbody>
    </table>
</div>